Subject: Re: [martini] COMMENT: draft-ietf-martini-reqs

From: Bernard Aboba <[email-masked]>
Date: Mon, 12 Jul 2010 06:45:39 -0700

Since Section 3 attempts to provide a general overview of several different approaches, a diagram could only show the general concept, since the details would be different for each approach.  As subsequent sections note, there are some major substantive differences between the approaches that are important to understand.  Adam had put together some diagrams illustrating some of the differences which were instructive, but also voluminous.  I'll leave it to the WG to discuss whether addition of diagrams would be helpful or not. 

I agree with John that diagraming (or elaborating on) non-standard behavior in 3.1, 3..2 and 3.3 would not be helpful.  

> From: [email-masked]
> To: [email-masked]; [email-masked]
> CC: [email-masked]; [email-masked]
> Date: Mon, 12 Jul 2010 08:59:33 +0200
> Subject: RE: COMMENT: draft-ietf-martini-reqs 
> 
> I could put a single, generic, diagram in section 3 itself, showing a REGISTER request/response between a SIP-PBX and an SSP, but this would seem rather trivial. Perhaps the diagram could also show several UAs behind the SIP-PBX, each registering with the SIP-PBX. I am against putting s whole lot of diagrams showing current practice in 3.1, 3.2 and 3.3 and their subsections, because they would show non-standard behaviour and might be misleading. Also it would considerably expand the document. I await guidance from chairs / ADs before proceeding.
> 
> John
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On 
> > Behalf Of Alexey Melnikov
> > Sent: 11 July 2010 19:46
> > To: [email-masked]
> > Cc: [email-masked]; 
> > [email-masked]
> > Subject: COMMENT: draft-ietf-martini-reqs 
> > 
> > Comment:
> > Section 3 is hard to follow for somebody not involved with 
> > SIP on a daily basis. I suggest adding some ASCII art to 
> > demonstrate relationship between entities and possibly some 
> > examples of messages demonstrating issues.
> > 
> >